//     Author: Maurizio Loreti, aka MLO or (HAM) I3NOO
//     Work:   University of Padova - Department of Physics
//             Via F. Marzolo, 8 - 35131 PADOVA - Italy
//     Phone:  +39 (049) 827-7216   FAX: +39 (049) 827-7102
//     EMail:  loreti@pd.infn.it
//     WWW:    http://www.pd.infn.it/~loreti/mlo.html
//
// -------------------------------------------------------------------
// Unix interface for the file watcher
// -------------------------------------------------------------------
// $Id: unint.hh,v 1.1 2002/12/23 11:35:16 loreti Exp $
// -------------------------------------------------------------------

#ifndef UNINT_HH_
#define UNINT_HH_

#include <string>

// Defines "sigFunction" as a shortcut for a function taking a const
// int and returning void

typedef void sigFunction(const int);

void          daemonize(const char *);
void          errOut(const std::string &);
void          infoOut(const std::string &);
sigFunction * mySignal(const int, sigFunction *);

#endif // UNINT_HH_
